A proof-of-work to solve before signing up or asking for a password reset, when /api/config says proofOfWork.
GET
/api/auth/challenge
const url = 'https://example.com/api/auth/challenge';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/auth/challengeResponses
Section titled “Responses”OK
Media typeapplication/json
object
algorithm
required
string
challenge
required
string
salt
required
string
maxNumber
required
integer format: int32
token
required
string
Example generated
{ "algorithm": "example", "challenge": "example", "salt": "example", "maxNumber": 1, "token": "example"}